Allocation of Resources Without Limits or Throttling Affecting rdiffweb package, versions [,2.5.0a7)


0.0
medium

Snyk CVSS

    Exploit Maturity Proof of concept
    Attack Complexity Low
    Availability High
Expand this section
NVD
7.5 high

Do your applications use this vulnerable package?

In a few clicks we can analyze your entire application and see what components are vulnerable in your application, and suggest you quick fixes.

Test your applications
  • Snyk ID SNYK-PYTHON-RDIFFWEB-3037318
  • published 30 Sep 2022
  • disclosed 30 Sep 2022
  • credit Nehalr777

How to fix?

Upgrade rdiffweb to version 2.5.0a7 or higher.

Overview

rdiffweb is an A web interface to rdiff-backup repositories.

Affected versions of this package are vulnerable to Allocation of Resources Without Limits or Throttling via Fullname parameter, by allowing an attacker to set a long string name, leading to crashes.